package sklep.model;

import java.time.LocalDateTime;

import javax.xml.bind.annotation.adapters.XmlAdapter;

// Ta klasa określa sposób mapowania obiektów LocalDateTime na String i odwrotnie na potrzeby tworzenia i czytania XML w JAXB
public class LocalDateTimeAdapter extends XmlAdapter<String, LocalDateTime> {

    @Override
    public LocalDateTime unmarshal(String s) throws Exception {
        return LocalDateTime.parse(s);
    }

    @Override
    public String marshal(LocalDateTime d) throws Exception {
        return d.toString();
    }

}
